Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderOperand_ Struct Reference

Describes explicit or implicit instruction operand. More...

`#include <Encoder.h>`

## Data Structures
union | ZydisEncoderOperandImm_
| Extended info for immediate-operands. More...
struct | ZydisEncoderOperandMem_
| Extended info for memory-operands. More...
struct | ZydisEncoderOperandPtr_
| Extended info for pointer-operands. More...
struct | ZydisEncoderOperandReg_
| Extended info for register-operands. More...

## Data Fields
ZydisOperandType | type
| The type of the operand.
struct ZydisEncoderOperand_::ZydisEncoderOperandReg_ | reg
struct ZydisEncoderOperand_::ZydisEncoderOperandMem_ | mem
struct ZydisEncoderOperand_::ZydisEncoderOperandPtr_ | ptr
union ZydisEncoderOperand_::ZydisEncoderOperandImm_ | imm

## Detailed Description

Describes explicit or implicit instruction operand.

## Field Documentation

## ◆ imm

union ZydisEncoderOperand_::ZydisEncoderOperandImm_ imm

## ◆ mem

struct ZydisEncoderOperand_::ZydisEncoderOperandMem_ mem

## ◆ ptr

struct ZydisEncoderOperand_::ZydisEncoderOperandPtr_ ptr

## ◆ reg

struct ZydisEncoderOperand_::ZydisEncoderOperandReg_ reg

## ◆ type

ZydisOperandType type

The type of the operand.

The documentation for this struct was generated from the following file:

- include/Zydis/Encoder.h